Skip to main content
Version: V4.0

User Management API


Get Guest List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
guest_idStringBodyGuest ID
guest_nameStringBodyGuest name
emailStringBodyEmail
phoneStringBodyPhone
id_cardStringBodyID card
passportStringBodyPassport

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_guest_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"guest_id": "gx9a621c1ae77040d697bd2134700f57e",
"guest_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": ""
}
]
}

Failure Return Example

See Failure Return Example



Get Guest Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
guest_idStringBodyYesGuest ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
guest_nameStringBodyGuest name
emailStringBodyEmail
phoneStringBodyPhone
id_cardStringBodyID card
passportStringBodyPassport

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_guest_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"guest_id": "gx9a621c1ae77040d697bd2134700f57e"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": {
"guest_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": ""
}
}

Failure Return Example

See Failure Return Example



Create Guest Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
guest_nameStringBodyYesGuest name
emailStringBodyYesEmail
phoneStringBodyYesPhone
id_cardStringBodyYesID card
passportStringBodyYesPassport
order_idStringBodyYesOrder ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
guest_idStringBodyGuest ID

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_guest_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"guest_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": "",
"order_id": "oc45e846ca23ab42c9ae469d988ae32a9"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"guest_id": "g2a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Update Guest Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
guest_idStringBodyYesGuest ID
guest_nameStringBodyYesGuest name
emailStringBodyYesEmail
phoneStringBodyYesPhone
id_cardStringBodyYesID card
passportStringBodyYesPassport

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_guest_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"guest_id": "g2a621c1ae77040d697bd2134700f57ea",
"guest_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": ""
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Guest Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
guest_idStringBodyYesGuest ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_guest_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"guest_id": "grbr2c4b070cc928496198944858b344f"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Member List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
member_idStringBodyMember ID
member_nameStringBodyMember name
emailStringBodyEmail
phoneStringBodyPhone
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_member_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"member_id": "mx9a621c1ae77040d697bd2134700f57e",
"member_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"created_time": "2025-02-19 17:02:23"
}
]
}

Failure Return Example

See Failure Return Example



Get Member Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
member_idStringBodyYesMember ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
member_nameStringBodyMember name
emailStringBodyEmail
phoneStringBodyPhone
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_member_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"member_id": "mx9a621c1ae77040d697bd2134700f57e"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": {
"member_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"created_time": "2025-02-19 17:02:23"
}
}

Failure Return Example

See Failure Return Example



Create Member Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
member_nameStringBodyYesMember name
emailStringBodyYesEmail
phoneStringBodyYesPhone

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
member_idStringBodyMember ID

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_member_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"member_name": "test",
"email": "test@akubela.com",
"phone": "1234567"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"member_id": "m2a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Update Member Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
member_idStringBodyYesMember ID
member_nameStringBodyYesMember name
emailStringBodyYesEmail
phoneStringBodyYesPhone

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_member_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"member_id": "m2a621c1ae77040d697bd2134700f57ea",
"member_name": "test",
"email": "test@akubela.com",
"phone": "1234567"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Member Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
member_idStringBodyYesMember ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_member_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"member_id": "mrbr2c4b070cc928496198944858b344f"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Staff List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
staff_idStringBodyStaff ID
staff_nameStringBodyStaff name
emailStringBodyEmail
phoneStringBodyPhone
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_staff_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"staff_id": "sx9a621c1ae77040d697bd2134700f57e",
"staff_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"created_time": "2025-02-19 17:02:23"
}
]
}

Failure Return Example

See Failure Return Example



Get Staff Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
staff_idStringBodyYesStaff ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
staff_nameStringBodyStaff name
emailStringBodyEmail
phoneStringBodyPhone
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_staff_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"staff_id": "sx9a621c1ae77040d697bd2134700f57e"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": {
"staff_name": "test",
"email": "test@akubela.com",
"phone": "1234567",
"created_time": "2025-02-19 17:02:23"
}
}

Failure Return Example

See Failure Return Example



Create Staff Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
staff_nameStringBodyYesStaff name
emailStringBodyYesEmail
phoneStringBodyYesPhone

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
staff_idStringBodyStaff ID

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_staff_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"staff_name": "test",
"email": "test@akubela.com",
"phone": "1234567"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"staff_id": "s2a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Update Staff Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
staff_idStringBodyYesStaff ID
staff_nameStringBodyYesStaff name
phoneStringBodyYesPhone

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_staff_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"staff_id": "s2a621c1ae77040d697bd2134700f57ea",
"staff_name": "test",
"phone": "1234567"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Staff Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
staff_idStringBodyYesStaff ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_staff_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"staff_id": "srbr2c4b070cc928496198944858b344f"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example